#
# Conditional build:
%bcond_with	tests 	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gnome2
Summary:	Perl interface to the 2.x series of the GNOME libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME 2.x
Name:		perl-Gnome2
Version:	1.042
Release:	5
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pdir}-%{version}.tar.gz
# Source0-md5:	eb7b624114e45e54e022a633ffc1cce6
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libbonoboui-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.140
BuildRequires:	perl-Gnome2-Canvas >= 1.002
BuildRequires:	perl-Gnome2-VFS >= 1.060
BuildRequires:	perl-Gtk2 >= 1.140
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libbonoboui >= 2.0.0
Requires:	libgnomeui >= 2.14.1
Requires:	perl-Glib >= 1.140
Requires:	perl-Gnome2-Canvas >= 1.002
Requires:	perl-Gnome2-VFS >= 1.060
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a Perl developer to use the GNOME 2
libraries.

%description -l pl.UTF-8
Moduł Perla Gnome2 pozwala programistom perlowym na używanie bibliotek
środowiska GNOME 2.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/{*,*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{perl_vendorarch}/Gnome2/Install
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/*.so
%{perl_vendorarch}/auto/Gnome2/*.bs
%{perl_vendorarch}/Gnome2/Install/*
%{perl_vendorarch}/Gnome2.pm
%{_mandir}/man3/Gnome2*.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 36768f5
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c511c12
- release 4

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 9105739
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> af1496a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fc00a99
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 2507cec
- updated to 1.042

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 110e7e6
- updated to 1.041

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2704248
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f092dd9
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> d18b741
- unify sourceforge url

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 2281740
- merged deps update from AC-branch

* Wed Apr 05 2006 freetz <freetz@pld-linux.org> 55922e7
- 1.040

* Thu Aug 11 2005 radek <radek@pld-linux.org> 1dab551
- bcond_with(out) is followed by one \t, then bcond's name.

* Sun Jun 26 2005 freetz <freetz@pld-linux.org> 34cb7f0
- 1.023

* Sun Jun 12 2005 freetz <freetz@pld-linux.org> f4815af
- 1.022

* Sat May 21 2005 freetz <freetz@pld-linux.org> d6243f2
- 1.021

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 15109e5
- formatting

* Fri Sep 17 2004 freetz <freetz@pld-linux.org> 2ad3740
- 1.020

* Thu Aug 12 2004 ankry <ankry@pld-linux.org> b4d8b90
- s/perl/Perl/

* Sat Jun 05 2004 radek <radek@pld-linux.org> 2bc9e64
- massive: unfold macros in name/summary & other unifications

